Bug 6624 - Allow Koha to use the new read API from OpenLibrary
Summary: Allow Koha to use the new read API from OpenLibrary
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Srdjan Jankovic
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on: 5429
Blocks: 16176 16649 18815
  Show dependency treegraph
 
Reported: 2011-07-23 07:59 UTC by Chris Cormack
Modified: 2018-02-13 18:56 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
bug_6624: OpenLibrarySearch syspref for OPAC (3.07 KB, patch)
2016-01-06 00:40 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
bug_6624: Added Open Library Search and Read API to openlibrary.js (6.97 KB, patch)
2016-01-06 00:40 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
bug_6624: Added Open Library Search and Read API calls to opac-results.tt and opac-detail.tt Conditional to OpenLibrarySearch syspref (93.03 KB, patch)
2016-01-06 00:41 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
bug_6624: OpenLibrarySearch syspref for OPAC (3.13 KB, patch)
2016-01-14 15:31 UTC, Nicole C. Engard
Details | Diff | Splinter Review
bug_6624: Added Open Library Search and Read API to openlibrary.js (7.03 KB, patch)
2016-01-14 15:32 UTC, Nicole C. Engard
Details | Diff | Splinter Review
bug_6624: Added Open Library Search and Read API calls to opac-results.tt and opac-detail.tt Conditional to OpenLibrarySearch syspref (93.10 KB, patch)
2016-01-14 15:32 UTC, Nicole C. Engard
Details | Diff | Splinter Review
bug_6624: Added Open Library Search and Read API calls to opac-results.tt and opac-detail.tt Conditional to OpenLibrarySearch syspref (87.58 KB, patch)
2016-02-17 02:35 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
bug_6624: OpenLibrarySearch syspref for OPAC (3.20 KB, patch)
2016-02-17 11:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
bug_6624: Added Open Library Search and Read API to openlibrary.js (7.10 KB, patch)
2016-02-17 11:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
bug_6624: Added Open Library Search and Read API calls to opac-results.tt and opac-detail.tt Conditional to OpenLibrarySearch syspref (87.65 KB, patch)
2016-02-17 11:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 6624: Add test for OpenLibrary (1.52 KB, patch)
2016-02-17 11:24 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-07-23 07:59:04 UTC
http://openlibrary.org/dev/docs/api/read
Comment 1 Srdjan Jankovic 2016-01-06 00:40:26 UTC Comment hidden (obsolete)
Comment 2 Srdjan Jankovic 2016-01-06 00:40:37 UTC Comment hidden (obsolete)
Comment 3 Srdjan Jankovic 2016-01-06 00:41:40 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2016-01-14 15:31:56 UTC Comment hidden (obsolete)
Comment 5 Nicole C. Engard 2016-01-14 15:32:03 UTC Comment hidden (obsolete)
Comment 6 Nicole C. Engard 2016-01-14 15:32:07 UTC Comment hidden (obsolete)
Comment 7 Nicole C. Engard 2016-01-14 15:32:48 UTC
Works as expected! I would say we might want to add a note down the road or some clue that the results will open in a new window unlike Overdrive - but that's not reason to not sign off on this.

Nicole
Comment 8 Jonathan Druart 2016-02-16 12:09:52 UTC
Srdjan,
 koha-tmpl/opac-tmpl/bootstrap/css/opac.css         |  383 +++++++++++++++++++-
This is wrong, opac.css should contain only 1 line and be generated from the less file.
See https://wiki.koha-community.org/wiki/Working_with_Bootstrap_OPAC_LESS_files
Comment 9 Srdjan Jankovic 2016-02-17 01:10:29 UTC
Jonathan, that's exactly what I did. I'll give it another go, maybe did not get the options right
Comment 10 Srdjan Jankovic 2016-02-17 02:35:59 UTC Comment hidden (obsolete)
Comment 11 Srdjan Jankovic 2016-02-17 02:39:54 UTC
Ok, so packaged lessc was not good, had to be installed with npm.
Comment 12 Jonathan Druart 2016-02-17 11:14:58 UTC
Created attachment 48159 [details] [review]
bug_6624: OpenLibrarySearch syspref for OPAC

If set to Yes, OPAC search results and details will include buton from
Open Library Raed API.
In addition, Number of titles held in Open Library and the results link
will be reported on the search results screen.

Signed-off-by: Nicole Engard <nengard@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 13 Jonathan Druart 2016-02-17 11:15:10 UTC
Created attachment 48160 [details] [review]
bug_6624: Added Open Library Search and Read API to openlibrary.js

Signed-off-by: Nicole Engard <nengard@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 14 Jonathan Druart 2016-02-17 11:15:14 UTC
Created attachment 48161 [details] [review]
bug_6624: Added Open Library Search and Read API calls to opac-results.tt and opac-detail.tt Conditional to OpenLibrarySearch syspref

Signed-off-by: Nicole Engard <nengard@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 15 Jonathan Druart 2016-02-17 11:24:29 UTC
Created attachment 48162 [details] [review]
Bug 6624: Add test for OpenLibrary
Comment 16 Srdjan Jankovic 2016-02-17 23:38:55 UTC
Just curious, this test does not test any part of Koha. What if it fails?
Comment 17 Jonathan Druart 2016-02-18 10:24:54 UTC
(In reply to Srdjan Jankovic from comment #16)
> Just curious, this test does not test any part of Koha. What if it fails?

I was thinking of the tests we have for C4::XISBN, but I may be not relevant, feel free to obsolete it.
If the test fails, the feature will be broken. It would mean that the key "numFound" or the url has changed.
Comment 18 Jonathan Druart 2016-02-18 10:25:20 UTC
s/I may/it may
...
Comment 19 Srdjan Jankovic 2016-02-18 12:08:41 UTC
OK, that makes sense. I was more thinking of tests auto run, and for some reason http request fails (site down, timeout etc) that raises red alert. But I'm probably taking it too far.
Comment 20 Brendan Gallagher 2016-02-23 22:14:18 UTC
Pushed to Master - Should be in the May 2016 Release.  Thanks